# mongoc_write_concern_get_wtimeout()

## Synopsis

    int32_t
    mongoc_write_concern_get_wtimeout (const mongoc_write_concern_t *write_concern);

## Parameters

write_concern | A mongoc_write_concern_t.

## Description

Fetches the write timeout to use as part of the write concern. If the write has not completed before this timeout, an error will be returned.

A value of 0 indicates no write timeout.

## Returns

Returns an 32-bit signed integer containing the timeout.